icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons_061

GroupWise < 7.0.0 SP2 WebAccess GWINTER.exe Base64 Decoding Overflow

Medium

Synopsis

The remote host is vulnerable to a buffer overflow.

Description

The remote host is running a version of GroupWise WebAccess from Novell that fails to sanitize HTTP authentication requests. An overly long request will generate an overflow on the remote WebAccess server. An attacker exploiting this flaw would only need to be able to connect to the service and send an HTTP basic authentication request. Successful exploitation would result in the attacker executing arbitrary code.

Solution

Upgrade to version 7.0.0 SP2 or higher.